<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\ListField;

class JFormFieldCallbacks extends ListField
{
    protected $type = 'Callbacks';
    protected $velden = [];

    protected function getOptions()
    {
        $velden=[];
                $count=0;
        require_once(JPATH_COMPONENT.'/cron/generic_cb.php');
                $f= get_defined_functions();
                $func=[];
                        $found=false;
                        sort($f['user']);
        foreach ($f['user'] as $v) {
            if (strpos($v, '_cb') === strlen($v)-3) {
                if ($v == $this->value) {
                    $found=true;
                }


                            $velden[$count]=new stdClass();
                            $velden[$count]->text = $v;
                            $velden[$count]->value = $v;
                            $count++;
            }
        }
        if (! $found) {
            $velden[$count]=new stdClass();
            $velden[$count]->text = Text::_('FUNCTION_NON_EXISTENT'). ' ' .$this->value ;
                    $velden[$count]->value = $this->value;
        }

        $options = array_merge(parent::getOptions(), $velden);
                    return $options;
    }
}
