<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

class DatafeedsViewItems extends BaseHtmlView
{
    protected array $items = [];
    public function display($tpl = null)
    {
        $this->items = $this->get('Dataitems');
	$this->basequery = $this->get('Basequery');

        $tpl = Joomla\CMS\Factory::getApplication()->input->get('tpl', 'default', 'cmd');

        if (is_array($this->items)) {
            $this->setLayout('ajax');
            echo $this->loadTemplate($tpl);
        }
    }
}
