<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\ListField;

class JFormFieldDatafeeds3 extends ListField
{
    protected $type = 'Datafeeds3';

    protected function getOptions()
    {
        $options=[];
        $count=0;
        for ($i=0; $i<20; $i++) {
            $options[$count]=new stdClass();
            ;
            $options[$count]->text = Text::_('FIELD'.$i);
            $options[$count]->value = 'field'.$i;
            $count++;
        }
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('PRICE');
        $options[$count]->value = 'price';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('MERCHANT');
        $options[$count]->value = 'feed';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('TITLE');
        $options[$count]->value = 'title';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('HITS');
        $options[$count]->value = 'hits';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('ADDED');
        $options[$count]->value = 'items_id';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('RANDOM');
        $options[$count]->value = 'id';
        $count++;
        $options[$count]=new stdClass();
        ;
        $options[$count]->text = Text::_('DEFAULT');
        $options[$count]->value = '';
        $count++;
        return $options;
    }
}
