<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Form\Field\ListField;

class JFormFieldParsers extends ListField
{
    protected $type = 'Parsers';
    protected $velden = [];


    protected function getOptions()
    {
        if (! defined('MAGPIE_DIR')) {
            define('MAGPIE_DIR', JPATH_COMPONENT.'/cron/');
        }
        global $feed_parsers;
        if (! $feed_parsers) {
            require_once(JPATH_COMPONENT.'/cron/xml_fetch.php');
        }

        $velden=[];
                $count=0;
        foreach ($feed_parsers as $k => $v) {
                            $velden[$count]=new stdClass();
                                $velden[$count]->text = $v;
                                        $velden[$count]->value = $k;
                                        $count++;
        }

        $options = array_merge(parent::getOptions(), $velden);
                    return $options;
    }
}
