<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Language\Text;

// no direct acce
echo '<div id="com_datafeeds">';


//
// FILENAME
//
// components/com_datafeeds/views/items/tmpl/default_dummy.php
#
#get the current query  q1,q2,etc
$select=$this->get('Select');

#get the used fields from the menu
$fields=$this->get('Fields');
$level=$this->where['level'];
echo "<table>";
	echo "<tr><th>Parameter</th><th>Value</th><th>Menu field</th></tr>";
foreach ( $select as $q => $v ) {
	$qq=is_numeric($q)?"q$q":$q;
	$c=($level==$q)?"current":"";
	$f=$fields[$q]??'';
	echo "<tr class=\"$c\"><td>$qq</td><td>$v</td><td>$f</td></tr>";
}
echo "</table>";


$more=Text::_('DATAFEEDS_READ_MORE');
$currency=Text::_('DATAFEEDS_CURRENCY');
$total=$this->get('Datacount');


if ($this->pagination) {
    echo '<h2>pagination</h2>';
    echo $this->pagination->getPagesLinks();
}
echo '<h2>Item data</h2>';
echo '<p>Current filter has '. $total.' hits</p>';
echo '<p>Current page would show '. count($this->dataitems).'</p>';
echo '<pre>';
print_r($this->dataitems[0]);
echo '</pre>';
echo '<h2>Where data</h2>';
echo '<pre>';
print_r($this->where);
echo '</pre>';
echo '</div>';
?>
<style>
tr.current {
font-weight:bold;
</style>

